use askama_axum::Template;
use axum_htmx::HxRequest;

#[derive(Template)]
#[template(path = "home.html")]
pub struct GetHomeTemplate {
    hx_request: bool,
}

pub async fn home(HxRequest(hx_request): HxRequest) -> GetHomeTemplate {
    GetHomeTemplate { hx_request }
}
